import { StudentAppDataViewModel } from '../../../../models/class.model';
export declare class SparkleGoalForm {
  el: HTMLElement;
  appData: StudentAppDataViewModel;
  goalHanlder(data: StudentAppDataViewModel): void;
  name: {
    valid: boolean;
    value: string;
  };
  description: {
    valid: boolean;
    value: string;
  };
  category: {
    valid: boolean;
    value: string;
  };
  progress: number;
  public: boolean;
  goalUpdateText: {
    valid: boolean;
    value: string;
  };
  submitted: boolean;
  componentWillLoad(): void;
  private updateGoal;
  handleTitle(ev: any): void;
  handleDescription(ev: any): void;
  handleCategory(ev: any): void;
  handleGoalProgressInfo(ev: any): void;
  validateTitle(): void;
  validateDescription(): void;
  validateCategoy(): void;
  validateGoalUpdateText(): void;
  onSubmit(e: any): Promise<void>;
  postToFeed(): Promise<void>;
  dismiss(data?: any): void;
  renderEditBookingFields(): any;
  render(): any[];
}
